import React from 'react';
import { SDashboardItemSetting, SubChartItemComponentFunctionLinkArgument } from '../types';
interface ChartTitleProps {
    setup: SDashboardItemSetting['setup'];
    onToggleView: (isShowTable: boolean) => void;
    handleLinkChart: (arg: SubChartItemComponentFunctionLinkArgument) => void | Promise<void>;
    handleDownloadExcel: () => void;
    onShowFilter: () => void;
}
declare const ChartTitle: React.FC<ChartTitleProps>;
export default ChartTitle;
